### Method

# GObject Value transform

#### Declaration [src]

    gboolean
    g_value_transform (
      const GValue* src_value,
      GValue* dest_value
    )

#### Description [src]

Tries to cast the contents of `src_value` into a type appropriate to store in `dest_value`.

If a transformation is not possible, `dest_value` is not modified.

For example, this could transform a `G_TYPE_INT` value into a `G_TYPE_FLOAT` value.

Performing transformations between value types might incur precision loss. Especially transformations into strings might reveal seemingly arbitrary results and the format of particular transformations to strings is not guaranteed over time.

#### Parameters

`dest_value`

  Type: `GValue`

  Target value.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True on success; false otherwise.